---
import Layout from "../../layouts/Layout.astro";
import Navbar from "../../components/navigation/Navbar.astro";
import { recommendations } from "../../data/recommendations";
import MovieCard from "../../components/MovieCard.astro";

const movies = recommendations.filter((record) => record.type === "movie").sort((a, b) => b.stars - a.stars);
const shows = recommendations.filter((record) => record.type === "show").sort((a, b) => b.stars - a.stars);
---

<Layout title={"Movies - Jesse Vordzorgbe"}>
    <Navbar />
    <header class="px-6 pb-8 sm:pt-10">
        <div class="mb-2 flex items-center justify-between stroke-blue-500/70 text-blue-500/70">
            <a href="/about" class="flex items-center gap-1 hover:underline">
                <span>
                    <svg class="h-5 w-5 stroke-2" viewBox="0 0 24 24" stroke-linecap="round" stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                        <line x1="5" y1="12" x2="19" y2="12"></line>
                        <line x1="5" y1="12" x2="11" y2="18"></line>
                        <line x1="5" y1="12" x2="11" y2="6"></line>
                    </svg>
                </span>
                <span class="pb-0.5">Back</span>
            </a>
            <select
                class="rounded-md bg-zinc-800 px-2 focus:outline-none focus:ring-1 focus:ring-blue-500"
                name="select"
                id="select">
                <option value="0">Movies</option>
                <option value="1">Shows</option>
            </select>
        </div>
        <h1 class="mb-3 text-3xl font-bold text-zinc-200 sm:text-4xl">Movies & TV Shows</h1>
        <p>A list of my favourite movies and tv shows with my personal ratings.</p>
    </header>
    <main class="px-6">
        <ul class="grid grid-cols-1 gap-10">
            {movies.map((item) => <MovieCard record={item} />)}
            {shows.map((item) => <MovieCard record={item} />)}
        </ul>
    </main>
</Layout>
